<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <title> Sample API get all combo & type</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script> 
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>    
</head>
 <body>
    <div class = "jumbotron form-group">  
     <h3 class = "text-primary form-control"> API mẫu dùng cho các bài lấy danh sách Combo và danh sách Type Pizza 365</h3>
     <button class = "btn btn-info form-control" onClick = "getAllCombos()"> Get all Combo / Lấy danh sách combo Pizza  </button>
     <button class = "btn btn-success form-control" onclick = "getAllTypes()"> get all Type / lấy danh sách type Pizza </button>
    </div> 
 </body>
<script>
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    
    // Mẫu gọi API lấy danh sách Combo Pizza
    function getAllCombos() {
        //base url
        const vBASE_URL = "https://647406377de100807b1a4df4.mockapi.io/combos";
        // create a request
        var vXmlHttObj = new XMLHttpRequest();
        vXmlHttObj.open("GET", vBASE_URL, true);
        vXmlHttObj.send();
        vXmlHttObj.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                console.log(vXmlHttObj.responseText);
            }
        }

    }
	
    // Mẫu gọi API lấy danh sách Type Pizza
    function getAllTypes() {
        //base url
        const vBASE_URL = "https://647406377de100807b1a4df4.mockapi.io/types";

        var vXmlHttpObj = new XMLHttpRequest();
        vXmlHttpObj.open("GET", vBASE_URL, true);
        vXmlHttpObj.send();
        vXmlHttpObj.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                console.log(vXmlHttpObj.responseText);
            }
        }
    }

</script>

 

</html>